ipad I take you must download 3.2 beta SDK?

http://forum.unity3d.com/viewtopic.php?t=48245&highlight=

http://unity3d.com/unity/whats-new/iphone-1.7

I take you must download 3.2 beta SDK?

Yes, you must download the 3.2 beta SDK.